---
title: 'xlink:href'
slug: 'Web/SVG/Attribute/xlink:href'
tags:
  - NeedsCompatTable
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{Deprecated_Header("SVG2")}}</div>

<p>The <strong><code>xlink:href</code></strong> attribute defines a reference to a resource as a reference <a href="/en-US/docs/Web/SVG/Content_type#IRI">IRI</a>. The exact meaning of that link depends on the context of each element using it.</p>

<div class="note">
<p><strong>Note:</strong> SVG 2 removed the need for the <code>xlink</code> namespace, so instead of <code>xlink:href</code> you should use {{SVGAttr("href")}}.</p>
</div>

<p>22 elements are using this attribute: {{SVGElement("a")}}, {{SVGElement("altGlyph")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, {{SVGElement("color-profile")}}, {{SVGElement("cursor")}}, {{SVGElement("feImage")}}, {{SVGElement("filter")}}, {{SVGElement("font-face-uri")}}, {{SVGElement("glyphRef")}}, {{SVGElement("image")}}, {{SVGElement("linearGradient")}}, {{SVGElement("mpath")}}, {{SVGElement("pattern")}}, {{SVGElement("radialGradient")}}, {{SVGElement("script")}}, {{SVGElement("set")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("use")}}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2]">&lt;svg viewBox="0 0 160 40" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;a xlink:href="https://developer.mozilla.org/"&gt;&lt;text x="10" y="25"&gt;MDN Web Docs&lt;/text&gt;&lt;/a&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "320", "100")}}</p>
</div>

<h2 id="a">a</h2>

<p>For {{SVGElement("a")}}, <code>xlink:href</code> defines the location of the referenced object.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="altGlyph">altGlyph</h2>

<p>For {{SVGElement("altGlyph")}}, <code>xlink:href</code> defines the reference either to a {{SVGElement("glyph")}} element in an SVG document fragment or to an {{SVGElement("altGlyphDef")}} element.<br>
 <br>
 If the reference is to a <code>&lt;glyph&gt;</code> element and that {{Glossary("glyph")}} is available, then that glyph is rendered instead of the characters that are inside of the <code>&lt;altGlyph&gt;</code> element.<br>
 <br>
 If the reference is to an <code>&lt;altGlyphDef&gt;</code> element, then if an appropriate set of alternate glyphs is located from processing the <code>&lt;altGlyphDef&gt;</code> element, then those alternate glyphs are rendered instead of the characters that are inside of the <code>&lt;altGlyph&gt;</code> element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="animate_animateColor_animateMotion_animateTransform_set">animate, animateColor, animateMotion, animateTransform, set</h2>

<p>For {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("set")}}, <code>xlink:href</code> defines the reference to the element which is the target of this animation and which therefore will be modified over time.</p>

<p>The target element must be part of the current SVG document fragment.</p>

<p>The value must point to exactly one target element which is capable of being the target of the given animation.</p>

<p>If the <code>xlink:href</code> attribute is not provided, the target element will be the immediate parent element of the current animation element.</p>

<p>Refer to the descriptions of the individual animation elements for any restrictions on what types of elements can be targets of particular types of animations.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="color-profile">color-profile</h2>

<p>For {{SVGElement("color-profile")}}, <code>xlink:href</code> defines the location of an {{Glossary("ICC")}} profile resource.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="cursor">cursor</h2>

<p>For {{SVGElement("cursor")}}, <code>xlink:href</code> defines the reference to the file or element which provides the image of the cursor.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#FuncIRI">&lt;funciri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feImage">feImage</h2>

<p>For {{SVGElement("feImage")}}, <code>xlink:href</code> defines the reference to the image source.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="filter">filter</h2>

<p>For {{SVGElement("filter")}}, <code>xlink:href</code> defines the reference to another <code>&lt;filter&gt;</code> element within the current SVG document fragment. Any attributes which are defined on the referenced <code>&lt;filter&gt;</code> element which are not defined on this element are inherited by this element. If this element has no defined filter nodes, and the referenced element has defined filter nodes (possibly due to its own <code>xlink:href</code> attribute), then this element inherits the filter nodes defined from the referenced <code>&lt;filter&gt;</code> element. Inheritance can be indirect to an arbitrary level; thus, if the referenced <code>&lt;filter&gt;</code> element inherits attributes or its filter node specification due to its own <code>xlink:href</code> attribute, then the current element can inherit those attributes or filter node specifications.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="font-face-uri">font-face-uri</h2>

<p>For {{SVGElement("font-face-uri")}}, <code>xlink:href</code> defines the location of the referenced font.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="glyphRef">glyphRef</h2>

<p>For {{SVGElement("glyphRef")}}, <code>xlink:href</code> defines to a {{SVGElement("glyph")}} element in an SVG document fragment. The referenced <code>&lt;glyph&gt;</code> is rendered as an alternate glyph.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="image">image</h2>

<p>For {{SVGElement("image")}}, <code>xlink:href</code> defines the location of the referenced image.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="linearGradient">linearGradient</h2>

<p>For {{SVGElement("linearGradient")}}, <code>xlink:href</code> defines the reference to a different <code>&lt;linearGradient&gt;</code> or {{SVGElement("radialGradient")}} element within the current SVG document fragment. Any <code>&lt;linearGradient&gt;</code> attributes which are defined on the referenced element which are not defined on this element are inherited by this element. If this element has no defined gradient stops, and the referenced element does (possibly due to its own <code>xlink:href</code> attribute), then this element inherits the gradient stop from the referenced element. Inheritance can be indirect to an arbitrary level; thus, if the referenced element inherits attribute or gradient stops due to its own <code>xlink:href</code> attribute, then the current element can inherit those attributes or gradient stops.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="mpath">mpath</h2>

<p>For {{SVGElement("mpath")}}, <code>xlink:href</code> defines the reference to the {{SVGElement("path")}} element which defines the motion path.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="pattern">pattern</h2>

<p>For {{SVGElement("pattern")}}, <code>xlink:href</code> defines the reference to a different <code>&lt;pattern&gt;</code> element within the current SVG document fragment. Any attributes which are defined on the referenced element which are not defined on this element are inherited by this element. If this element has no children, and the referenced element does (possibly due to its own <code>xlink:href</code> attribute), then this element inherits the children from the referenced element. Inheritance can be indirect to an arbitrary level; thus, if the referenced element inherits attributes or children due to its own <code>xlink:href</code> attribute, then the current element can inherit those attributes or children.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="radialGradient">radialGradient</h2>

<p>For {{SVGElement("radialGradient")}}, <code>xlink:href</code> defines the to a different {{SVGElement("linearGradient")}} or <code>&lt;radialGradient&gt;</code> element within the current SVG document fragment. Any <code>&lt;radialGradient&gt;</code> attributes which are defined on the referenced element which are not defined on this element are inherited by this element. If this element has no defined gradient stops, and the referenced element does (possibly due to its own <code>xlink:href</code> attribute), then this element inherits the gradient stop from the referenced element. Inheritance can be indirect to an arbitrary level; thus, if the referenced element inherits attribute or gradient stops due to its own <code>xlink:href</code> attribute, then the current element can inherit those attributes or gradient stops.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="script">script</h2>

<p>For {{SVGElement("script")}}, <code>xlink:href</code> defines a reference to an external resource containing the script code.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="textPath">textPath</h2>

<p>For {{SVGElement("textPath")}}, <code>xlink:href</code> defines a reference to the {{SVGElement("path")}} element onto which the glyphs will be rendered.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="use">use</h2>

<p>For {{SVGElement("use")}}, <code>xlink:href</code> defines the location of the referenced object.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="tref">tref</h2>

<p>For {{SVGElement("tref")}}, <code>xlink:href</code> defines a reference to an element whose character data content shall be used as character data for this <code>&lt;tref&gt;</code> element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#AElementXLinkHrefAttribute", "href for &lt;a&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("a")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#AltGlyphElementHrefAttribute", "href for &lt;altGlyph&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("altGlyph")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#HrefAttribute", "href for &lt;animate&gt;, &lt;animateColor&gt;, &lt;animateMotion&gt;, &lt;animateTransform&gt;, and &lt;set&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for animation elements.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProfileElementHrefAttribute", "href for &lt;color-profile&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("color-profile")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "interact.html#CursorElementHrefAttribute", "href for &lt;cursor&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("cursor")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feImageElementHrefAttribute", "href for &lt;feImage&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("feImage")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterElementHrefAttribute", "href for &lt;filter&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("filter")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceUriElementHrefAttribute", "href for &lt;font-face-uri&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("font-face-uri")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#GlyphRefElementHrefAttribute", "href for &lt;glyphRef&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("glyphRef")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#ImageElementHrefAttribute", "href for &lt;image&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("image")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#LinearGradientElementHrefAttribute", "href for &lt;linearGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("linearGradient")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#MPathElementHrefAttribute", "href for &lt;mpath&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("mpath")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#PatternElementHrefAttribute", "href for &lt;pattern&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("pattern")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#RadialGradientElementHrefAttribute", "href for &lt;radialGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("radialGradient")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "script.html#ScriptElementHrefAttribute", "href for &lt;script&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("script")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextPathElementHrefAttribute", "href for &lt;textPath&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("textPath")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#UseElementHrefAttribute", "href for &lt;use&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("use")}} element.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TRefElementHrefAttribute", "href for &lt;tref&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Defines <code>href</code> for the {{SVGElement("tref")}} element.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("href")}}</li>
</ul>
